Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.
API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).
The Dimensional Weight which includes quantity, package type, cubic dimension details, and weight details for the inventory item
${InventoryItem.apiModel.inventoryIdentifiers.value}
Provides important information about the hazardous materials to be transported, as required by the US Department of Transportation (DOT). Only required for shipment requests.
curl -i -X POST \ 'https://na12.api.project44.com/api/v4/inventory/items?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "consumeByDateTime": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "inventoryDimensionalWeight": { "cubicDimension": { "height": 0, "length": 0, "width": 0 }, "lengthUnit": "IN", "packageType": "BAG", "quantity": 0, "weight": { "weight": 0, "weightUnit": "LB" } }, "inventoryIdentifiers": [ { "description": "string", "type": "DEPARTMENT", "value": "string" } ], "lineItemHazmatDetail": { "hazardClass": "string", "identificationNumber": "string", "properShippingName": "string", "packingGroup": "I" }, "manufacturedDateTime": "2019-08-24T14:15:22Z", "orderIds": [ "string" ], "perUnitCost": { "amount": 0, "currency": "USD" }, "perUnitRetailValue": { "amount": 0, "currency": "USD" }, "promotionalDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "packagedDateTime": "2019-08-24T14:15:22Z", "perishable": true, "stockKeepingUnit": "string", "serialNumber": "string", "sellByDateTime": "2019-08-24T14:15:22Z", "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "taxable": true, "universalProductCode": "string" }'
{ "id": "string" }
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/inventory/items/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
OK
The Dimensional Weight which includes quantity, package type, cubic dimension details, and weight details for the inventory item
${InventoryItem.apiModel.inventoryIdentifiers.value}
Provides important information about the hazardous materials to be transported, as required by the US Department of Transportation (DOT). Only required for shipment requests.
{ "consumeByDateTime": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "inventoryDimensionalWeight": { "cubicDimension": { … }, "lengthUnit": "IN", "packageType": "BAG", "quantity": 0, "weight": { … } }, "inventoryIdentifiers": [ { … } ], "lineItemHazmatDetail": { "hazardClass": "string", "identificationNumber": "string", "properShippingName": "string", "packingGroup": "I" }, "manufacturedDateTime": "2019-08-24T14:15:22Z", "orderIds": [ "string" ], "perUnitCost": { "amount": 0, "currency": "USD" }, "perUnitRetailValue": { "amount": 0, "currency": "USD" }, "promotionalDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "packagedDateTime": "2019-08-24T14:15:22Z", "perishable": true, "stockKeepingUnit": "string", "serialNumber": "string", "sellByDateTime": "2019-08-24T14:15:22Z", "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "taxable": true, "universalProductCode": "string" }
The Dimensional Weight which includes quantity, package type, cubic dimension details, and weight details for the inventory item
${InventoryItem.apiModel.inventoryIdentifiers.value}
Provides important information about the hazardous materials to be transported, as required by the US Department of Transportation (DOT). Only required for shipment requests.
curl -i -X PUT \ 'https://na12.api.project44.com/api/v4/inventory/items/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "consumeByDateTime": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "inventoryDimensionalWeight": { "cubicDimension": { "height": 0, "length": 0, "width": 0 }, "lengthUnit": "IN", "packageType": "BAG", "quantity": 0, "weight": { "weight": 0, "weightUnit": "LB" } }, "inventoryIdentifiers": [ { "description": "string", "type": "DEPARTMENT", "value": "string" } ], "lineItemHazmatDetail": { "hazardClass": "string", "identificationNumber": "string", "properShippingName": "string", "packingGroup": "I" }, "manufacturedDateTime": "2019-08-24T14:15:22Z", "orderIds": [ "string" ], "perUnitCost": { "amount": 0, "currency": "USD" }, "perUnitRetailValue": { "amount": 0, "currency": "USD" }, "promotionalDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "packagedDateTime": "2019-08-24T14:15:22Z", "perishable": true, "stockKeepingUnit": "string", "serialNumber": "string", "sellByDateTime": "2019-08-24T14:15:22Z", "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "taxable": true, "universalProductCode": "string" }'
{ "id": "string" }
curl -i -X DELETE \ 'https://na12.api.project44.com/api/v4/inventory/items/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
curl -i -X POST \ 'https://na12.api.project44.com/api/v4/inventory/items/bulk?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "items": [ { "consumeByDateTime": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "inventoryDimensionalWeight": { "cubicDimension": { "height": 0, "length": 0, "width": 0 }, "lengthUnit": "IN", "packageType": "BAG", "quantity": 0, "weight": { "weight": 0, "weightUnit": "LB" } }, "inventoryIdentifiers": [ { "description": "string", "type": "DEPARTMENT", "value": "string" } ], "lineItemHazmatDetail": { "hazardClass": "string", "identificationNumber": "string", "properShippingName": "string", "packingGroup": "I" }, "manufacturedDateTime": "2019-08-24T14:15:22Z", "orderIds": [ "string" ], "perUnitCost": { "amount": 0, "currency": "USD" }, "perUnitRetailValue": { "amount": 0, "currency": "USD" }, "promotionalDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "packagedDateTime": "2019-08-24T14:15:22Z", "perishable": true, "stockKeepingUnit": "string", "serialNumber": "string", "sellByDateTime": "2019-08-24T14:15:22Z", "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "taxable": true, "universalProductCode": "string" } ] }'
{ "ids": [ { … } ] }
A date and time range filter, with time zone offset.
${BasicInventoryItemSearchCriteria.apiModel.inventoryIdentifiers.value}
A date and time range filter, with time zone offset.
${BasicInventoryItemSearchCriteria.apiModel.orderIds.value}
${BasicInventoryItemSearchCriteria.apiModel.perUnitRetailValue.value}
${BasicInventoryItemSearchCriteria.apiModel.perUnitRetailValue.value}
A date and time range filter, with time zone offset.
${BasicInventoryItemSearchCriteria.apiModel.shipmentIds.value}
A date and time range filter, with time zone offset.
curl -i -X POST \ 'https://na12.api.project44.com/api/v4/inventory/items/search?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&page=1®istrationDate=2019-08-24T14%3A15%3A22Z&size=1&sort=stockKeepingUnit%3AASC&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "consumeByDateTimeRange": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "hazardClasses": [ "string" ], "ids": [ "string" ], "inventoryIdentifiers": [ { "description": "string", "type": "DEPARTMENT", "value": "string" } ], "manufacturedDateTimeRange": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "orderIds": [ "string" ], "perUnitCost": { "minimumValue": { "amount": 0, "currency": "USD" }, "minimumValueInclusive": true, "maximumValue": { "amount": 0, "currency": "USD" }, "maximumValueInclusive": true }, "perUnitRetailValue": { "minimumValue": { "amount": 0, "currency": "USD" }, "minimumValueInclusive": true, "maximumValue": { "amount": 0, "currency": "USD" }, "maximumValueInclusive": true }, "packagedDateTimeRange": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "perishable": true, "searchText": "string", "skus": [ "string" ], "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "sellByDateTimeRange": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "taxable": true, "upcs": [ "string" ] }'
{ "paginationInfo": { "pageSize": 0, "pageNumber": 0, "total": 0 }, "results": [ { … } ] }
${InventoryOrder.apiModel.additionalOrderIdentifiers.value}
${InventoryOrder.apiModel.attributes.value}
Details the terms of the freight ownership during transport. Specified in the quote, contract or general terms and conditions.
${InventoryOrder.apiModel.orderType.value}
${InventoryOrder.apiModel.orderIdentifierAuthority.value}
${InventoryOrder.apiModel.orderTags.value}
A date and time range, with time zone offset.
${InventoryOrder.apiModel.status.value}
A date and time range, with time zone offset.
curl -i -X POST \ 'https://na12.api.project44.com/api/v4/inventory/orders?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "additionalOrderIdentifiers": [ { "type": "CONTRACT", "value": "string" } ], "attributes": [ { "name": "string", "values": [ "string" ] } ], "billToLocation": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "additionalContacts": [ { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" } ], "contact": { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" }, "id": "string", "name": "string", "suppliedId": "string" }, "createdDate": "2019-08-24", "deletedDateTime": "2019-08-24T14:15:22Z", "destinationLocation": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "additionalContacts": [ { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" } ], "contact": { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" }, "id": "string", "name": "string", "suppliedId": "string" }, "derivedOrderHealth": { "arrivalStatus": { "code": "UNKNOWN", "duration": { "amount": 0, "unit": "UNKNOWN" } }, "estimatedTimeOfArrival": "2019-08-24T14:15:22Z" }, "freightTerms": { "freightOwnershipType": "PREPAID", "transportationPaymentType": "ORIGIN" }, "id": "string", "launchDateTime": "2019-08-24T14:15:22Z", "orderType": "PURCHASE_ORDER", "orderIdentifier": "string", "orderIdentifierAuthority": "string", "orderTags": [ { "description": "string", "type": "ANALYST", "value": "string" } ], "orderSubmissionDateTime": "2019-08-24T14:15:22Z", "originalDeliveryDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "originLocation": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "additionalContacts": [ { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" } ], "contact": { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" }, "id": "string", "name": "string", "suppliedId": "string" }, "relatedOrderIds": [ "string" ], "subject": "string", "statusCode": "SUBMITTED", "statusCodeDateTime": "2019-08-24T14:15:22Z", "supplierReadyDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "totalCost": { "amount": 0, "currency": "USD" }, "totalRetailValue": { "amount": 0, "currency": "USD" }, "vendorLocation": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "additionalContacts": [ { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" } ], "contact": { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" }, "id": "string", "name": "string", "suppliedId": "string" } }'
{ "id": "string" }
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/inventory/orders/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
OK
${InventoryOrder.apiModel.additionalOrderIdentifiers.value}
${InventoryOrder.apiModel.attributes.value}
Details the terms of the freight ownership during transport. Specified in the quote, contract or general terms and conditions.
${InventoryOrder.apiModel.orderType.value}
${InventoryOrder.apiModel.orderIdentifierAuthority.value}
${InventoryOrder.apiModel.orderTags.value}
A date and time range, with time zone offset.
${InventoryOrder.apiModel.status.value}
A date and time range, with time zone offset.
{ "additionalOrderIdentifiers": [ { … } ], "attributes": [ { … } ], "billToLocation": { "address": { … }, "additionalContacts": [ … ], "contact": { … }, "id": "string", "name": "string", "suppliedId": "string" }, "createdDate": "2019-08-24", "deletedDateTime": "2019-08-24T14:15:22Z", "destinationLocation": { "address": { … }, "additionalContacts": [ … ], "contact": { … }, "id": "string", "name": "string", "suppliedId": "string" }, "derivedOrderHealth": { "arrivalStatus": { … }, "estimatedTimeOfArrival": "2019-08-24T14:15:22Z" }, "freightTerms": { "freightOwnershipType": "PREPAID", "transportationPaymentType": "ORIGIN" }, "id": "string", "launchDateTime": "2019-08-24T14:15:22Z", "orderType": "PURCHASE_ORDER", "orderIdentifier": "string", "orderIdentifierAuthority": "string", "orderTags": [ { … } ], "orderSubmissionDateTime": "2019-08-24T14:15:22Z", "originalDeliveryDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "originLocation": { "address": { … }, "additionalContacts": [ … ], "contact": { … }, "id": "string", "name": "string", "suppliedId": "string" }, "relatedOrderIds": [ "string" ], "subject": "string", "statusCode": "SUBMITTED", "statusCodeDateTime": "2019-08-24T14:15:22Z", "supplierReadyDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "totalCost": { "amount": 0, "currency": "USD" }, "totalRetailValue": { "amount": 0, "currency": "USD" }, "vendorLocation": { "address": { … }, "additionalContacts": [ … ], "contact": { … }, "id": "string", "name": "string", "suppliedId": "string" } }
${InventoryOrder.apiModel.additionalOrderIdentifiers.value}
${InventoryOrder.apiModel.attributes.value}
Details the terms of the freight ownership during transport. Specified in the quote, contract or general terms and conditions.
${InventoryOrder.apiModel.orderType.value}
${InventoryOrder.apiModel.orderIdentifierAuthority.value}
${InventoryOrder.apiModel.orderTags.value}
A date and time range, with time zone offset.
${InventoryOrder.apiModel.status.value}
A date and time range, with time zone offset.
curl -i -X PUT \ 'https://na12.api.project44.com/api/v4/inventory/orders/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "additionalOrderIdentifiers": [ { "type": "CONTRACT", "value": "string" } ], "attributes": [ { "name": "string", "values": [ "string" ] } ], "billToLocation": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "additionalContacts": [ { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" } ], "contact": { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" }, "id": "string", "name": "string", "suppliedId": "string" }, "createdDate": "2019-08-24", "deletedDateTime": "2019-08-24T14:15:22Z", "destinationLocation": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "additionalContacts": [ { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" } ], "contact": { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" }, "id": "string", "name": "string", "suppliedId": "string" }, "derivedOrderHealth": { "arrivalStatus": { "code": "UNKNOWN", "duration": { "amount": 0, "unit": "UNKNOWN" } }, "estimatedTimeOfArrival": "2019-08-24T14:15:22Z" }, "freightTerms": { "freightOwnershipType": "PREPAID", "transportationPaymentType": "ORIGIN" }, "id": "string", "launchDateTime": "2019-08-24T14:15:22Z", "orderType": "PURCHASE_ORDER", "orderIdentifier": "string", "orderIdentifierAuthority": "string", "orderTags": [ { "description": "string", "type": "ANALYST", "value": "string" } ], "orderSubmissionDateTime": "2019-08-24T14:15:22Z", "originalDeliveryDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "originLocation": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "additionalContacts": [ { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" } ], "contact": { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" }, "id": "string", "name": "string", "suppliedId": "string" }, "relatedOrderIds": [ "string" ], "subject": "string", "statusCode": "SUBMITTED", "statusCodeDateTime": "2019-08-24T14:15:22Z", "supplierReadyDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "totalCost": { "amount": 0, "currency": "USD" }, "totalRetailValue": { "amount": 0, "currency": "USD" }, "vendorLocation": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "additionalContacts": [ { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" } ], "contact": { "companyName": "string", "contactName": "string", "email": "string", "faxNumber": "string", "faxNumberCountryCode": "string", "phoneNumber": "string", "phoneNumberCountryCode": "string", "phoneNumber2": "string", "phoneNumber2CountryCode": "string" }, "id": "string", "name": "string", "suppliedId": "string" } }'
{ "id": "string" }
curl -i -X DELETE \ 'https://na12.api.project44.com/api/v4/inventory/orders/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
Order Sortable Fields: [orderType, orderIdentifier, statusCode, orderSubmissionDateTime, supplierReadyDateTimeWindow.startDateTime, supplierReadyDateTimeWindow.endDateTime, originalDeliveryDateTimeWindow.startDateTime,originalDeliveryDateTimeWindow.endDateTime, derivedOrderHealth.estimatedTimeOfArrival]
${InventoryOrderSearchCriteria.apiModel.additionalOrderIdentifierCriteria.value}
${InventoryOrderSearchCriteria.apiModel.billToLocationAddressText.value}
${InventoryOrderSearchCriteria.apiModel.destinationLocationAddressText.value}
${InventoryOrderSearchCriteria.apiModel.orderIdentifiers.value}
${InventoryOrderSearchCriteria.apiModel.orderAttributes.value}
${InventoryOrderSearchCriteria.apiModel.orderTypes.value}
${InventoryOrderSearchCriteria.apiModel.originLocationAddressText.value}
A date and time range filter, with time zone offset.
A date and time range filter, with time zone offset.
A date and time range filter, with time zone offset.
${InventoryOrderSearchCriteria.apiModel.orderTagCriteria.value}
${InventoryOrderSearchCriteria.apiModel.orderHealthCriteria.value}
${InventoryOrderSearchCriteria.apiModel.orderIdentifierCriteria.value}
${InventoryOrderSearchCriteria.apiModel.orderItemIdentifierCriteria.value}
${InventoryOrderSearchCriteria.apiModel.orderLocationCriteria.value}
${InventoryOrderSearchCriteria.apiModel.orderItemDescriptionCriteria.value}
${InventoryOrderSearchCriteria.apiModel.orderItemInventoryIdentifierCriteria.value}
${InventoryOrderSearchCriteria.apiModel.relatedOrderIds.value}
${InventoryOrderSearchCriteria.apiModel.shipmentIds.value}
A date and time range filter, with time zone offset.
A date and time range filter, with time zone offset.
${InventoryOrderSearchCriteria.apiModel.statusCodes.value}
curl -i -X POST \ 'https://na12.api.project44.com/api/v4/inventory/orders/search?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&page=1®istrationDate=2019-08-24T14%3A15%3A22Z&size=30&sort=string&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "additionalOrderIdentifierCriteria": [ { "operator": "EQUALS", "type": "CONTRACT", "value": "string", "values": [ "string" ] } ], "billToLocationAddressText": "string", "destinationLocationAddressText": "string", "hasShipmentIds": true, "ids": [ "string" ], "launchDateTime": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "orderIdentifiers": [ "string" ], "orderAttributes": [ { "name": "string", "operator": "EQUALS", "values": [ "string" ] } ], "orderTypes": [ "PURCHASE_ORDER" ], "originLocationAddressText": "string", "orderSubmissionDateTime": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "originalDeliveryDateTimeWindowStart": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "originalDeliveryDateTimeWindowEnd": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "orderTagCriteria": [ { "operator": "EQUALS", "type": "ANALYST", "value": "string", "values": [ "string" ] } ], "orderHealthCriteria": [ { "durationRange": { "fromDuration": { "amount": 0, "unit": "UNKNOWN" }, "fromInclusive": true, "toDuration": { "amount": 0, "unit": "UNKNOWN" }, "toInclusive": true }, "dateRanges": [ { "endDateTime": "2019-08-24T14:15:22Z", "offsetMinutes": 0, "operator": "WITHIN", "startDateTime": "2019-08-24T14:15:22Z" } ], "deltas": [ { "operator": "MORE_THAN", "type": "RUNNING_EARLY", "value": 0 } ], "shipmentStatus": "UNKNOWN" } ], "orderIdentifierCriteria": [ { "operator": "EQUALS", "type": "PURCHASE_ORDER", "values": [ "string" ] } ], "orderItemIdentifierCriteria": [ { "operator": "EQUALS", "type": "STOCK_KEEPING_UNIT", "values": [ "string" ] } ], "orderLocationCriteria": [ { "propertyCriteria": [ { "operator": "EQUALS", "type": "POSTAL_CODE", "values": [ "string" ] } ], "stopCriteria": { "operator": "EQUALS", "values": [ "ORIGIN" ] } } ], "orderItemDescriptionCriteria": [ { "operator": "EQUALS", "values": [ "string" ] } ], "orderItemAdditionalIdentifierCriteria": [ { "operator": "EQUALS", "type": "DEPARTMENT", "values": [ "string" ] } ], "pagination": { "pageSize": 1, "pageNumber": 1 }, "relatedOrderIds": [ "string" ], "searchText": "string", "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "supplierReadyDateTimeWindowStart": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "supplierReadyDateTimeWindowEnd": { "endDateTime": "2019-08-24T14:15:22Z", "endDateTimeInclusive": true, "startDateTime": "2019-08-24T14:15:22Z", "startDateTimeInclusive": true }, "statusCodes": [ "SUBMITTED" ], "sort": [ { "direction": "ASC", "fieldName": "ORDER_TYPE" } ], "vendorLocationAddressText": "string" }'
{ "paginationInfo": { "pageSize": 0, "pageNumber": 0, "total": 0 }, "results": [ { … } ] }